SpanPositionCheckQuery.AcceptStatus (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.spans.SpanPositionCheckQuery.AcceptStatus class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.search.spans
Enum SpanPositionCheckQuery.AcceptStatus

    java.lang.Object
      java.lang.Enum<SpanPositionCheckQuery.AcceptStatus>
          org.apache.lucene.search.spans.SpanPositionCheckQuery.AcceptStatus

All Implemented Interfaces:
  Serializable, Comparable<SpanPositionCheckQuery.AcceptStatus>

Enclosing class:
  SpanPositionCheckQuery

    protected static enum SpanPositionCheckQuery.AcceptStatus

extends Enum<SpanPositionCheckQuery.AcceptStatus>

Return value if the match should be accepted `YES`, rejected `NO`, or rejected and enumeration should advance to the next document `NO_AND_ADVANCE`.

See Also:
  `SpanPositionCheckQuery.acceptPosition(Spans)`

Enum Constant Summary
`NO`
`NO_AND_ADVANCE`
`YES`

Method Summary
`static SpanPositionCheckQuery.AcceptStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SpanPositionCheckQuery.AcceptStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### YES

    public static final SpanPositionCheckQuery.AcceptStatus YES

### NO

    public static final SpanPositionCheckQuery.AcceptStatus NO

### NO_AND_ADVANCE

    public static final SpanPositionCheckQuery.AcceptStatus NO_AND_ADVANCE

Method Detail

### values

    public static final SpanPositionCheckQuery.AcceptStatus[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SpanPositionCheckQuery.AcceptStatus c : SpanPositionCheckQuery.AcceptStatus.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SpanPositionCheckQuery.AcceptStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD